Subject: bug#55804: 29.0.50; xwidget-webkit cannot render local html file

From: Po Lu <[email-masked]>
Date: Sun, 05 Jun 2022 21:22:01 +0800

drshapeless <[email-masked]> writes:

> I just tried epiphany, it does not open local html as well, instead it
> downloads the local file...
>
> I think it is not a Emacs bug then. There should be something wrong with
> webkitgtk. This behaviour is stupid.

I guess that's because WebKit always tries to download local files.
It's been a while since I looked into that part of the xwidget code.  I
will try to find a way to provide an option to turn that behavior off.